package beispielapp

import grails.testing.mixin.integration.Integration
import grails.gorm.transactions.Rollback
import spock.lang.Specification
import org.hibernate.SessionFactory

@Integration
@Rollback
class FrameworksServiceSpec extends Specification {

    FrameworksService frameworksService
    SessionFactory sessionFactory

    private Long setupData() {
        // TODO: Populate valid domain instances and return a valid ID
        //new Frameworks(...).save(flush: true, failOnError: true)
        //new Frameworks(...).save(flush: true, failOnError: true)
        //Frameworks frameworks = new Frameworks(...).save(flush: true, failOnError: true)
        //new Frameworks(...).save(flush: true, failOnError: true)
        //new Frameworks(...).save(flush: true, failOnError: true)
        assert false, "TODO: Provide a setupData() implementation for this generated test suite"
        //frameworks.id
    }

    void "test get"() {
        setupData()

        expect:
        frameworksService.get(1) != null
    }

    void "test list"() {
        setupData()

        when:
        List<Frameworks> frameworksList = frameworksService.list(max: 2, offset: 2)

        then:
        frameworksList.size() == 2
        assert false, "TODO: Verify the correct instances are returned"
    }

    void "test count"() {
        setupData()

        expect:
        frameworksService.count() == 5
    }

    void "test delete"() {
        Long frameworksId = setupData()

        expect:
        frameworksService.count() == 5

        when:
        frameworksService.delete(frameworksId)
        sessionFactory.currentSession.flush()

        then:
        frameworksService.count() == 4
    }

    void "test save"() {
        when:
        assert false, "TODO: Provide a valid instance to save"
        Frameworks frameworks = new Frameworks()
        frameworksService.save(frameworks)

        then:
        frameworks.id != null
    }
}
