package beispielapp

class BootStrap {

    def init = { servletContext ->

		if (Frameworks.findAll().size()==0){
			def f1 = new Frameworks()
			f1.name = 'grails'
			f1.majorVersion  = 3
    		f1.minorVersion = 3
    		f1.revisionnr = 11
    		f1.buildnr = 0041	
			f1.save(failOnError: true)

			def f2 = new Frameworks()
			f2.name = 'java'
			f2.majorVersion  = 8
    		f2.minorVersion = 0
    		f2.revisionnr = 292
    		f2.buildnr = 0751	
			f2.save(failOnError: true)
		}

		if (Abhaengigkeiten.findAll().size()==0){
			def a2 = new Abhaengigkeiten()
	 		a2.runtime = 'exponentiell' 
	 	 	a2.added = Date.parse("yyyy-MM-dd hh:mm:ss", "2021-06-05 19:43:15")
			a2.addToFrameworks(Frameworks.findById(1))
			a2.save()

			def a1 = new Abhaengigkeiten()
	 		a1.runtime = 'linear' 
	 	 	a1.added = Date.parse("yyyy-MM-dd hh:mm:ss", "2021-06-03 13:23:45")
			a1.addToFrameworks(Frameworks.findById(2))
			a1.save(failOnError: true)
		}

		if (Quellcode.findAll().size()==0){
			def q1 = new Quellcode()
			q1.makeFile = false
			q1.compilerName  = 'javac'
			q1.softwareName  = 'BeispielApp'
    		q1.humanReadable = true
    		q1.obfuscated = false
    		q1.proprietary = false
			q1.addToAbhaengigkeiten(Abhaengigkeiten.findById(1))
			q1.addToAbhaengigkeiten(Abhaengigkeiten.findById(2))
			q1.save(failOnError: true)

			def q2 = new Quellcode()
			q2.compilerName  = 'javac'
			q2.softwareName  = 'intelliJ'
			q2.makeFile = false
			q2.humanReadable = false
    		q2.obfuscated = true
    		q2.proprietary = true
			q2.addToAbhaengigkeiten(Abhaengigkeiten.findById(1))
			q2.addToAbhaengigkeiten(Abhaengigkeiten.findById(2))
			q2.save(failOnError: true)
		}
    }
    def destroy = {
    }
}
