package beispielapp

import grails.testing.mixin.integration.Integration
import grails.gorm.transactions.Rollback
import spock.lang.Specification
import org.hibernate.SessionFactory

@Integration
@Rollback
class QuellcodeServiceSpec extends Specification {

    QuellcodeService quellcodeService
    SessionFactory sessionFactory

    private Long setupData() {
        // TODO: Populate valid domain instances and return a valid ID
        //new Quellcode(...).save(flush: true, failOnError: true)
        //new Quellcode(...).save(flush: true, failOnError: true)
        //Quellcode quellcode = new Quellcode(...).save(flush: true, failOnError: true)
        //new Quellcode(...).save(flush: true, failOnError: true)
        //new Quellcode(...).save(flush: true, failOnError: true)
        assert false, "TODO: Provide a setupData() implementation for this generated test suite"
        //quellcode.id
    }

    void "test get"() {
        setupData()

        expect:
        quellcodeService.get(1) != null
    }

    void "test list"() {
        setupData()

        when:
        List<Quellcode> quellcodeList = quellcodeService.list(max: 2, offset: 2)

        then:
        quellcodeList.size() == 2
        assert false, "TODO: Verify the correct instances are returned"
    }

    void "test count"() {
        setupData()

        expect:
        quellcodeService.count() == 5
    }

    void "test delete"() {
        Long quellcodeId = setupData()

        expect:
        quellcodeService.count() == 5

        when:
        quellcodeService.delete(quellcodeId)
        sessionFactory.currentSession.flush()

        then:
        quellcodeService.count() == 4
    }

    void "test save"() {
        when:
        assert false, "TODO: Provide a valid instance to save"
        Quellcode quellcode = new Quellcode()
        quellcodeService.save(quellcode)

        then:
        quellcode.id != null
    }
}
